Get completed SDA refunds
curl --request GET \
--url https://api.rhino.fi/sda/deposit-addresses/{depositAddress}/{depositChain}/completed-refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rhino.fi/sda/deposit-addresses/{depositAddress}/{depositChain}/completed-refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rhino.fi/sda/deposit-addresses/{depositAddress}/{depositChain}/completed-refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"refundId": "<string>",
"depositAddress": "<string>",
"depositChain": "<string>",
"recipient": "<string>",
"trigger": {
"_tag": "UNSUPPORTED_TOKEN",
"nativeToken": true,
"amountWei": "<string>",
"tokenAddress": "<string>",
"tokenSymbol": "<string>",
"amount": "<string>",
"amountUsd": "<string>"
},
"txHash": "<string>",
"txTimestamp": "<string>",
"originalDepositTxHash": "<string>"
}
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"addresses": [
"<string>"
],
"_tag": "DepositAddressNotFound"
}{
"message": "<string>",
"_tag": "EndpointDisabledError"
}depositAddresses
Get completed SDA refunds
Returns the list of completed refunds for the given deposit address on a given chain.
GET
/
deposit-addresses
/
{depositAddress}
/
{depositChain}
/
completed-refunds
Get completed SDA refunds
Authorizations
bearerlegacyApiKey
JWT token for authentication
Path Parameters
depositAddress
Option 1 · stringmaxLength(60) · stringOption 3 · stringOption 4 · stringOption 5 · stringOption 6 · string
required
The Rhino.fi Smart Deposit Address that the deposit has been sent to, e.g. "0x123...ABC".
The blockchain where the deposit was sent to, e.g. "ETHEREUM".
Response
Success
The completed refunds for this Smart Deposit Address on the given chain.
Show child attributes
Show child attributes
⌘I